
    .popthiswrapper {
      width: 98%;
      margin-left: 1%;
    }

    .popthiswrapper-inner {
      width: 30%;
      float: left;
      margin: 1%;
      position: relative;
    }

    .popthis {
      width: 250px;
      height: 150px;
      margin: auto;
      background-color: black;
      color: white;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      position: relative; /* Added position relative */
    }

    .popup-overlay {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      z-index: 999;
    }

    .popup-content {
      display: none;
      background-color: #fff;
      width: 400px;
      padding: 20px;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: 1000;
      text-align: center;
    }

    .close {
      position: absolute;
      top: 5px;
      right: 10px;
      cursor: pointer;
    }
    